[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-Id: <20211222213052.6771-2-zohar@linux.ibm.com>
Date: Wed, 22 Dec 2021 16:30:51 -0500
From: Mimi Zohar <zohar@...ux.ibm.com>
To: linux-integrity@...r.kernel.org
Cc: Petr Vorel <pvorel@...e.cz>,
Nageswara Sastry <rnsastry@...ux.ibm.com>,
Mimi Zohar <zohar@...ux.ibm.com>, Takashi Iwai <tiwai@...e.de>,
Joey Lee <jlee@...e.com>, Shuah Khan <shuah@...nel.org>,
linux-kselftest@...r.kernel.org, linux-kernel@...r.kernel.org
Subject: [PATCH v1 1/2] selftest/kexec: fix "ignored null byte in input" warning
Instead of assigning the string to a variable, which might contain a
null character, redirect the output and grep for the string directly.
Signed-off-by: Mimi Zohar <zohar@...ux.ibm.com>
---
Comment: this patch was previously posted as part of Nageswara's larger
patch set.
tools/testing/selftests/kexec/test_kexec_file_load.sh | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/tools/testing/selftests/kexec/test_kexec_file_load.sh b/tools/testing/selftests/kexec/test_kexec_file_load.sh
index 2ff600388c30..99f6fc23ee31 100755
--- a/tools/testing/selftests/kexec/test_kexec_file_load.sh
+++ b/tools/testing/selftests/kexec/test_kexec_file_load.sh
@@ -97,10 +97,11 @@ check_for_imasig()
check_for_modsig()
{
local module_sig_string="~Module signature appended~"
- local sig="$(tail --bytes $((${#module_sig_string} + 1)) $KERNEL_IMAGE)"
local ret=0
- if [ "$sig" == "$module_sig_string" ]; then
+ tail --bytes $((${#module_sig_string} + 1)) $KERNEL_IMAGE | \
+ grep -q "$module_sig_string"
+ if [ $? -eq 0 ]; then
ret=1
log_info "kexec kernel image modsig signed"
else
--
2.27.0
Powered by blists - more mailing lists